Name:           grilo
Version:        0.1.18
Release:        3%{?dist}
Summary:        Content discovery framework

Group:          Applications/Multimedia
License:        LGPLv2+
Source0:        http://ftp.gnome.org/pub/GNOME/sources/grilo/0.1/grilo-%{version}.tar.xz
Url:            http://live.gnome.org/Grilo

BuildRequires:  gnome-common
BuildRequires:  vala-devel >= 0.7.2
BuildRequires:  vala-tools >= 0.7.2
BuildRequires:  gtk-doc
BuildRequires:  gobject-introspection-devel >= 0.9.0
BuildRequires:  libxml2-devel
BuildRequires:  libsoup-devel
# For the test UI
BuildRequires:  gtk2-devel GConf2-devel

Requires:       gobject-introspection

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements.

%package devel
Summary:        Libraries/include files for Grilo framework
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel gobject-introspection-devel

%description devel
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package vala
Summary:        Vala language bindings for Grilo framework
Group:          Development/Libraries

Requires:       %{name}-devel = %{version}-%{release}
Requires:       vala >= 0.7.2

%description vala
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the Vala language bindings.

%prep
%setup -q

# Fix vala detection for version 0.16
sed -i.vala 's/libvala-0.14/libvala-0.16/g' configure*

%build
%configure                      \
        --enable-vala           \
        --enable-gtk-doc        \
        --enable-introspection  \
        --enable-grl-net        \
        --disable-tests

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/grilo-0.1/ $RPM_BUILD_ROOT%{_datadir}/grilo-0.1/plugins/

# Remove files that will not be packaged
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_bindir}/grilo-simple-playlist

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_bindir}/grl-inspect
%{_bindir}/grilo-test-ui
%{_libdir}/grilo-0.1/
%{_datadir}/grilo-0.1/plugins/
%{_mandir}/man1/grl-inspect.1.gz

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-0.1/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir

%files vala
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_datadir}/vala-*/vapi/*

%changelog
* Wed Mar  7 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.18-3
- fix build with vala 0.15/0.16

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 12 2011 Bastien Nocera <bnocera@redhat.com> 0.1.18-1
- Update to 0.1.18

* Fri Oct 14 2011 Adam Williamson <awilliam@redhat.com> 0.1.17-1
- update to 0.1.17

* Mon Jul 04 2011 Bastien Nocera <bnocera@redhat.com> 0.1.16-1
- Update to 0.1.16

* Fri May 20 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-3
- Own the grilo plugins directories

* Wed Apr 27 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-2
- Update with review comments

* Thu Apr 21 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-1
- Fist package, based on upstream work by Juan A.
  Suarez Romero <jasuarez@igalia.com>

